ZoneRulesException (Java Platform SE 8 )
Keywords: java.time.zone.ZoneRulesException class
Date: 2023-01-18

compact1, compact2, compact3
java.time.zone

## Class ZoneRulesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.time.DateTimeException
        - - java.time.zone.ZoneRulesException

- All Implemented Interfaces:
    Serializable

      public class ZoneRulesException
      extends DateTimeException

  Thrown to indicate a problem with time-zone configuration.

  This exception is used to indicate a problems with the configured time-zone rules.

  Implementation Requirements:
    This class is intended for use in a single thread.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZoneRulesException(String message)` Constructs a new date-time exception with the specified message.
    `ZoneRulesException(String message, Throwable cause)` Constructs a new date-time exception with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZoneRulesException

          public ZoneRulesException(String message)

      Constructs a new date-time exception with the specified message.
      Parameters:
        `message` - the message to use for this exception, may be null

    - #### ZoneRulesException

          public ZoneRulesException(String message,
                                    Throwable cause)

      Constructs a new date-time exception with the specified message and cause.
      Parameters:
        `message` - the message to use for this exception, may be null
        `cause` - the cause of the exception, may be null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.